<?php

namespace HwapX\Api\Controller;

class AdminAuth extends Api {
    public function __construct($f3) {
        $logger = new \Log(date('Y-m-d').'_api.log');

        if (!$f3->exists('SESSION.admin.id')) {
            $logger->write('Falha não autenticado.');
            $f3->error(401);
        } else {
            $logger->write('Acesso liberado para "'.$f3->get('SESSION.admin.email').'".');
        }
    }
}
